Bug 1418101 - [abrt] nm-connection-editor: g_malloc0(): nm-connection-editor killed by SIGSEGV
Summary: [abrt] nm-connection-editor: g_malloc0(): nm-connection-editor killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1409934
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:78a0fe96dd5b615bcbecb768467...
: 1458221 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 21:18 UTC by Robert Hancock
Modified: 2017-06-08 15:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 15:44:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.53 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: cgroup (262 bytes, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: core_backtrace (9.79 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: dso_list (9.78 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: environ (2.05 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: maps (50.39 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: mountinfo (3.82 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: open_fds (942 bytes, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-31 21:18 UTC, Robert Hancock
no flags Details

Description Robert Hancock 2017-01-31 21:18:12 UTC
Version-Release number of selected component:
nm-connection-editor-1.4.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        nm-connection-editor --edit a5727146-65f0-47ec-b5d8-be231334d404
crash_function: g_malloc0
executable:     /usr/bin/nm-connection-editor
global_pid:     8950
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_malloc0 at gmem.c:124
 #4 _gtk_css_lookup_new at gtkcsslookup.c:32
 #5 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:183
 #6 gtk_css_node_create_style at gtkcssnode.c:371
 #7 gtk_css_node_real_update_style at gtkcssnode.c:425
 #8 gtk_css_node_ensure_style at gtkcssnode.c:1003
 #10 gtk_css_node_validate_internal at gtkcssnode.c:1380
 #21 gtk_container_idle_sizer at gtkcontainer.c:2053
 #26 _gdk_frame_clock_emit_layout at gdkframeclock.c:634
 #27 gdk_frame_clock_paint_idle at gdkframeclockidle.c:408

Comment 1 Robert Hancock 2017-01-31 21:18:18 UTC
Created attachment 1246440 [details]
File: backtrace

Comment 2 Robert Hancock 2017-01-31 21:18:19 UTC
Created attachment 1246441 [details]
File: cgroup

Comment 3 Robert Hancock 2017-01-31 21:18:20 UTC
Created attachment 1246442 [details]
File: core_backtrace

Comment 4 Robert Hancock 2017-01-31 21:18:22 UTC
Created attachment 1246443 [details]
File: dso_list

Comment 5 Robert Hancock 2017-01-31 21:18:23 UTC
Created attachment 1246444 [details]
File: environ

Comment 6 Robert Hancock 2017-01-31 21:18:24 UTC
Created attachment 1246445 [details]
File: exploitable

Comment 7 Robert Hancock 2017-01-31 21:18:25 UTC
Created attachment 1246446 [details]
File: limits

Comment 8 Robert Hancock 2017-01-31 21:18:27 UTC
Created attachment 1246447 [details]
File: maps

Comment 9 Robert Hancock 2017-01-31 21:18:28 UTC
Created attachment 1246448 [details]
File: mountinfo

Comment 10 Robert Hancock 2017-01-31 21:18:29 UTC
Created attachment 1246449 [details]
File: namespaces

Comment 11 Robert Hancock 2017-01-31 21:18:30 UTC
Created attachment 1246450 [details]
File: open_fds

Comment 12 Robert Hancock 2017-01-31 21:18:31 UTC
Created attachment 1246451 [details]
File: proc_pid_status

Comment 13 Robert Hancock 2017-01-31 21:18:32 UTC
Created attachment 1246452 [details]
File: var_log_messages

Comment 14 Thomas Haller 2017-02-08 14:02:34 UTC
looks like either a bug in GTK or some memory corruption.

Any indication what you did precisely that leads to the crash?
It may be especially useful to run nm-c-e with valgrind

Comment 15 Robert Hancock 2017-02-08 15:44:32 UTC
This seems very similar to another crash I encountered, reported as 1409934. That report has some valgrind traces and steps to reproduce.

*** This bug has been marked as a duplicate of bug 1409934 ***

Comment 16 Lubomir Rintel 2017-06-08 15:43:19 UTC
*** Bug 1458221 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.